#ifndef _H_3A8EACF9F0D5FB8BEE66F4D2F3600C63_FromLL_DCPS_H_
#define _H_3A8EACF9F0D5FB8BEE66F4D2F3600C63_FromLL_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "FromLL_.h"


namespace robot_localization
{
    namespace srv
    {
        namespace dds_
        {
            class FromLL_Request_TypeSupportInterface;

            typedef FromLL_Request_TypeSupportInterface * FromLL_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Request_TypeSupportInterface> FromLL_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < FromLL_Request_TypeSupportInterface> FromLL_Request_TypeSupportInterface_out;


            class FromLL_Request_DataWriter;

            typedef FromLL_Request_DataWriter * FromLL_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Request_DataWriter> FromLL_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < FromLL_Request_DataWriter> FromLL_Request_DataWriter_out;


            class FromLL_Request_DataReader;

            typedef FromLL_Request_DataReader * FromLL_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Request_DataReader> FromLL_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < FromLL_Request_DataReader> FromLL_Request_DataReader_out;


            class FromLL_Request_DataReaderView;

            typedef FromLL_Request_DataReaderView * FromLL_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Request_DataReaderView> FromLL_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < FromLL_Request_DataReaderView> FromLL_Request_DataReaderView_out;

            struct FromLL_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < FromLL_Request_, struct FromLL_Request_Seq_uniq_> FromLL_Request_Seq;
            typedef DDS_DCPSSequence_var < FromLL_Request_Seq> FromLL_Request_Seq_var;
            typedef DDS_DCPSSequence_out < FromLL_Request_Seq> FromLL_Request_Seq_out;

            class  FromLL_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef FromLL_Request_TypeSupportInterface_ptr _ptr_type;
                typedef FromLL_Request_TypeSupportInterface_var _var_type;

                static FromLL_Request_TypeSupportInterface_ptr _duplicate (FromLL_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                FromLL_Request_TypeSupportInterface () {};
                ~FromLL_Request_TypeSupportInterface () {};
            private:
                FromLL_Request_TypeSupportInterface (const FromLL_Request_TypeSupportInterface &);
                FromLL_Request_TypeSupportInterface & operator = (const FromLL_Request_TypeSupportInterface &);
            };

            class  FromLL_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef FromLL_Request_DataWriter_ptr _ptr_type;
                typedef FromLL_Request_DataWriter_var _var_type;

                static FromLL_Request_DataWriter_ptr _duplicate (FromLL_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const FromLL_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const FromLL_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Request_& instance_data) = 0;

            protected:
                FromLL_Request_DataWriter () {};
                ~FromLL_Request_DataWriter () {};
            private:
                FromLL_Request_DataWriter (const FromLL_Request_DataWriter &);
                FromLL_Request_DataWriter & operator = (const FromLL_Request_DataWriter &);
            };

            class  FromLL_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef FromLL_Request_DataReader_ptr _ptr_type;
                typedef FromLL_Request_DataReader_var _var_type;

                static FromLL_Request_DataReader_ptr _duplicate (FromLL_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Request_& instance) = 0;

            protected:
                FromLL_Request_DataReader () {};
                ~FromLL_Request_DataReader () {};
            private:
                FromLL_Request_DataReader (const FromLL_Request_DataReader &);
                FromLL_Request_DataReader & operator = (const FromLL_Request_DataReader &);
            };

            class  FromLL_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef FromLL_Request_DataReaderView_ptr _ptr_type;
                typedef FromLL_Request_DataReaderView_var _var_type;

                static FromLL_Request_DataReaderView_ptr _duplicate (FromLL_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Request_& instance) = 0;

            protected:
                FromLL_Request_DataReaderView () {};
                ~FromLL_Request_DataReaderView () {};
            private:
                FromLL_Request_DataReaderView (const FromLL_Request_DataReaderView &);
                FromLL_Request_DataReaderView & operator = (const FromLL_Request_DataReaderView &);
            };
            class FromLL_Response_TypeSupportInterface;

            typedef FromLL_Response_TypeSupportInterface * FromLL_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Response_TypeSupportInterface> FromLL_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < FromLL_Response_TypeSupportInterface> FromLL_Response_TypeSupportInterface_out;


            class FromLL_Response_DataWriter;

            typedef FromLL_Response_DataWriter * FromLL_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Response_DataWriter> FromLL_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < FromLL_Response_DataWriter> FromLL_Response_DataWriter_out;


            class FromLL_Response_DataReader;

            typedef FromLL_Response_DataReader * FromLL_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Response_DataReader> FromLL_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < FromLL_Response_DataReader> FromLL_Response_DataReader_out;


            class FromLL_Response_DataReaderView;

            typedef FromLL_Response_DataReaderView * FromLL_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < FromLL_Response_DataReaderView> FromLL_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < FromLL_Response_DataReaderView> FromLL_Response_DataReaderView_out;

            struct FromLL_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < FromLL_Response_, struct FromLL_Response_Seq_uniq_> FromLL_Response_Seq;
            typedef DDS_DCPSSequence_var < FromLL_Response_Seq> FromLL_Response_Seq_var;
            typedef DDS_DCPSSequence_out < FromLL_Response_Seq> FromLL_Response_Seq_out;

            class  FromLL_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef FromLL_Response_TypeSupportInterface_ptr _ptr_type;
                typedef FromLL_Response_TypeSupportInterface_var _var_type;

                static FromLL_Response_TypeSupportInterface_ptr _duplicate (FromLL_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                FromLL_Response_TypeSupportInterface () {};
                ~FromLL_Response_TypeSupportInterface () {};
            private:
                FromLL_Response_TypeSupportInterface (const FromLL_Response_TypeSupportInterface &);
                FromLL_Response_TypeSupportInterface & operator = (const FromLL_Response_TypeSupportInterface &);
            };

            class  FromLL_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef FromLL_Response_DataWriter_ptr _ptr_type;
                typedef FromLL_Response_DataWriter_var _var_type;

                static FromLL_Response_DataWriter_ptr _duplicate (FromLL_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const FromLL_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const FromLL_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Response_& instance_data) = 0;

            protected:
                FromLL_Response_DataWriter () {};
                ~FromLL_Response_DataWriter () {};
            private:
                FromLL_Response_DataWriter (const FromLL_Response_DataWriter &);
                FromLL_Response_DataWriter & operator = (const FromLL_Response_DataWriter &);
            };

            class  FromLL_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef FromLL_Response_DataReader_ptr _ptr_type;
                typedef FromLL_Response_DataReader_var _var_type;

                static FromLL_Response_DataReader_ptr _duplicate (FromLL_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Response_& instance) = 0;

            protected:
                FromLL_Response_DataReader () {};
                ~FromLL_Response_DataReader () {};
            private:
                FromLL_Response_DataReader (const FromLL_Response_DataReader &);
                FromLL_Response_DataReader & operator = (const FromLL_Response_DataReader &);
            };

            class  FromLL_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef FromLL_Response_DataReaderView_ptr _ptr_type;
                typedef FromLL_Response_DataReaderView_var _var_type;

                static FromLL_Response_DataReaderView_ptr _duplicate (FromLL_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static FromLL_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static FromLL_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                FromLL_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const FromLL_Response_& instance) = 0;

            protected:
                FromLL_Response_DataReaderView () {};
                ~FromLL_Response_DataReaderView () {};
            private:
                FromLL_Response_DataReaderView (const FromLL_Response_DataReaderView &);
                FromLL_Response_DataReaderView & operator = (const FromLL_Response_DataReaderView &);
            };
            class Sample_FromLL_Request_TypeSupportInterface;

            typedef Sample_FromLL_Request_TypeSupportInterface * Sample_FromLL_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Request_TypeSupportInterface> Sample_FromLL_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Request_TypeSupportInterface> Sample_FromLL_Request_TypeSupportInterface_out;


            class Sample_FromLL_Request_DataWriter;

            typedef Sample_FromLL_Request_DataWriter * Sample_FromLL_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Request_DataWriter> Sample_FromLL_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Request_DataWriter> Sample_FromLL_Request_DataWriter_out;


            class Sample_FromLL_Request_DataReader;

            typedef Sample_FromLL_Request_DataReader * Sample_FromLL_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Request_DataReader> Sample_FromLL_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Request_DataReader> Sample_FromLL_Request_DataReader_out;


            class Sample_FromLL_Request_DataReaderView;

            typedef Sample_FromLL_Request_DataReaderView * Sample_FromLL_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Request_DataReaderView> Sample_FromLL_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Request_DataReaderView> Sample_FromLL_Request_DataReaderView_out;

            struct Sample_FromLL_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_FromLL_Request_, struct Sample_FromLL_Request_Seq_uniq_> Sample_FromLL_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_FromLL_Request_Seq> Sample_FromLL_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_FromLL_Request_Seq> Sample_FromLL_Request_Seq_out;

            class  Sample_FromLL_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_FromLL_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_FromLL_Request_TypeSupportInterface_var _var_type;

                static Sample_FromLL_Request_TypeSupportInterface_ptr _duplicate (Sample_FromLL_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_FromLL_Request_TypeSupportInterface () {};
                ~Sample_FromLL_Request_TypeSupportInterface () {};
            private:
                Sample_FromLL_Request_TypeSupportInterface (const Sample_FromLL_Request_TypeSupportInterface &);
                Sample_FromLL_Request_TypeSupportInterface & operator = (const Sample_FromLL_Request_TypeSupportInterface &);
            };

            class  Sample_FromLL_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_FromLL_Request_DataWriter_ptr _ptr_type;
                typedef Sample_FromLL_Request_DataWriter_var _var_type;

                static Sample_FromLL_Request_DataWriter_ptr _duplicate (Sample_FromLL_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_FromLL_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_FromLL_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_FromLL_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Request_& instance_data) = 0;

            protected:
                Sample_FromLL_Request_DataWriter () {};
                ~Sample_FromLL_Request_DataWriter () {};
            private:
                Sample_FromLL_Request_DataWriter (const Sample_FromLL_Request_DataWriter &);
                Sample_FromLL_Request_DataWriter & operator = (const Sample_FromLL_Request_DataWriter &);
            };

            class  Sample_FromLL_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_FromLL_Request_DataReader_ptr _ptr_type;
                typedef Sample_FromLL_Request_DataReader_var _var_type;

                static Sample_FromLL_Request_DataReader_ptr _duplicate (Sample_FromLL_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Request_& instance) = 0;

            protected:
                Sample_FromLL_Request_DataReader () {};
                ~Sample_FromLL_Request_DataReader () {};
            private:
                Sample_FromLL_Request_DataReader (const Sample_FromLL_Request_DataReader &);
                Sample_FromLL_Request_DataReader & operator = (const Sample_FromLL_Request_DataReader &);
            };

            class  Sample_FromLL_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_FromLL_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_FromLL_Request_DataReaderView_var _var_type;

                static Sample_FromLL_Request_DataReaderView_ptr _duplicate (Sample_FromLL_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_FromLL_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_FromLL_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Request_& instance) = 0;

            protected:
                Sample_FromLL_Request_DataReaderView () {};
                ~Sample_FromLL_Request_DataReaderView () {};
            private:
                Sample_FromLL_Request_DataReaderView (const Sample_FromLL_Request_DataReaderView &);
                Sample_FromLL_Request_DataReaderView & operator = (const Sample_FromLL_Request_DataReaderView &);
            };
            class Sample_FromLL_Response_TypeSupportInterface;

            typedef Sample_FromLL_Response_TypeSupportInterface * Sample_FromLL_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Response_TypeSupportInterface> Sample_FromLL_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Response_TypeSupportInterface> Sample_FromLL_Response_TypeSupportInterface_out;


            class Sample_FromLL_Response_DataWriter;

            typedef Sample_FromLL_Response_DataWriter * Sample_FromLL_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Response_DataWriter> Sample_FromLL_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Response_DataWriter> Sample_FromLL_Response_DataWriter_out;


            class Sample_FromLL_Response_DataReader;

            typedef Sample_FromLL_Response_DataReader * Sample_FromLL_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Response_DataReader> Sample_FromLL_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Response_DataReader> Sample_FromLL_Response_DataReader_out;


            class Sample_FromLL_Response_DataReaderView;

            typedef Sample_FromLL_Response_DataReaderView * Sample_FromLL_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_FromLL_Response_DataReaderView> Sample_FromLL_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_FromLL_Response_DataReaderView> Sample_FromLL_Response_DataReaderView_out;

            struct Sample_FromLL_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_FromLL_Response_, struct Sample_FromLL_Response_Seq_uniq_> Sample_FromLL_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_FromLL_Response_Seq> Sample_FromLL_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_FromLL_Response_Seq> Sample_FromLL_Response_Seq_out;

            class  Sample_FromLL_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_FromLL_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_FromLL_Response_TypeSupportInterface_var _var_type;

                static Sample_FromLL_Response_TypeSupportInterface_ptr _duplicate (Sample_FromLL_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_FromLL_Response_TypeSupportInterface () {};
                ~Sample_FromLL_Response_TypeSupportInterface () {};
            private:
                Sample_FromLL_Response_TypeSupportInterface (const Sample_FromLL_Response_TypeSupportInterface &);
                Sample_FromLL_Response_TypeSupportInterface & operator = (const Sample_FromLL_Response_TypeSupportInterface &);
            };

            class  Sample_FromLL_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_FromLL_Response_DataWriter_ptr _ptr_type;
                typedef Sample_FromLL_Response_DataWriter_var _var_type;

                static Sample_FromLL_Response_DataWriter_ptr _duplicate (Sample_FromLL_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_FromLL_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_FromLL_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_FromLL_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Response_& instance_data) = 0;

            protected:
                Sample_FromLL_Response_DataWriter () {};
                ~Sample_FromLL_Response_DataWriter () {};
            private:
                Sample_FromLL_Response_DataWriter (const Sample_FromLL_Response_DataWriter &);
                Sample_FromLL_Response_DataWriter & operator = (const Sample_FromLL_Response_DataWriter &);
            };

            class  Sample_FromLL_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_FromLL_Response_DataReader_ptr _ptr_type;
                typedef Sample_FromLL_Response_DataReader_var _var_type;

                static Sample_FromLL_Response_DataReader_ptr _duplicate (Sample_FromLL_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Response_& instance) = 0;

            protected:
                Sample_FromLL_Response_DataReader () {};
                ~Sample_FromLL_Response_DataReader () {};
            private:
                Sample_FromLL_Response_DataReader (const Sample_FromLL_Response_DataReader &);
                Sample_FromLL_Response_DataReader & operator = (const Sample_FromLL_Response_DataReader &);
            };

            class  Sample_FromLL_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_FromLL_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_FromLL_Response_DataReaderView_var _var_type;

                static Sample_FromLL_Response_DataReaderView_ptr _duplicate (Sample_FromLL_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_FromLL_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_FromLL_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_FromLL_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_FromLL_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_FromLL_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_FromLL_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_FromLL_Response_& instance) = 0;

            protected:
                Sample_FromLL_Response_DataReaderView () {};
                ~Sample_FromLL_Response_DataReaderView () {};
            private:
                Sample_FromLL_Response_DataReaderView (const Sample_FromLL_Response_DataReaderView &);
                Sample_FromLL_Response_DataReaderView & operator = (const Sample_FromLL_Response_DataReaderView &);
            };
        }

    }

}

#endif
